<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="XMLAdapter">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="sXML" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="XMLAdapterResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="XMLAdapterResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="string" nillable="true" type="s:string" />
    </s:schema>
  </wsdl:types>
  <wsdl:message name="XMLAdapterSoapIn">
    <wsdl:part name="parameters" element="tns:XMLAdapter" />
  </wsdl:message>
  <wsdl:message name="XMLAdapterSoapOut">
    <wsdl:part name="parameters" element="tns:XMLAdapterResponse" />
  </wsdl:message>
  <wsdl:message name="XMLAdapterHttpGetIn">
    <wsdl:part name="sXML" type="s:string" />
  </wsdl:message>
  <wsdl:message name="XMLAdapterHttpGetOut">
    <wsdl:part name="Body" element="tns:string" />
  </wsdl:message>
  <wsdl:message name="XMLAdapterHttpPostIn">
    <wsdl:part name="sXML" type="s:string" />
  </wsdl:message>
  <wsdl:message name="XMLAdapterHttpPostOut">
    <wsdl:part name="Body" element="tns:string" />
  </wsdl:message>
  <wsdl:portType name="WFMESServiceSoap">
    <wsdl:operation name="XMLAdapter">
      <wsdl:input message="tns:XMLAdapterSoapIn" />
      <wsdl:output message="tns:XMLAdapterSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="WFMESServiceHttpGet">
    <wsdl:operation name="XMLAdapter">
      <wsdl:input message="tns:XMLAdapterHttpGetIn" />
      <wsdl:output message="tns:XMLAdapterHttpGetOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="WFMESServiceHttpPost">
    <wsdl:operation name="XMLAdapter">
      <wsdl:input message="tns:XMLAdapterHttpPostIn" />
      <wsdl:output message="tns:XMLAdapterHttpPostOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="WFMESServiceSoap" type="tns:WFMESServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="XMLAdapter">
      <soap:operation soapAction="http://tempuri.org/XMLAdapter" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="WFMESServiceSoap12" type="tns:WFMESServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="XMLAdapter">
      <soap12:operation soapAction="http://tempuri.org/XMLAdapter" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="WFMESServiceHttpGet" type="tns:WFMESServiceHttpGet">
    <http:binding verb="GET" />
    <wsdl:operation name="XMLAdapter">
      <http:operation location="/XMLAdapter" />
      <wsdl:input>
        <http:urlEncoded />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="WFMESServiceHttpPost" type="tns:WFMESServiceHttpPost">
    <http:binding verb="POST" />
    <wsdl:operation name="XMLAdapter">
      <http:operation location="/XMLAdapter" />
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded" />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="WFMESService">
    <wsdl:port name="WFMESServiceSoap" binding="tns:WFMESServiceSoap">
      <soap:address location="http://10.40.30.73/WFMES/WFMESService.asmx" />
    </wsdl:port>
    <wsdl:port name="WFMESServiceSoap12" binding="tns:WFMESServiceSoap12">
      <soap12:address location="http://10.40.30.73/WFMES/WFMESService.asmx" />
    </wsdl:port>
    <wsdl:port name="WFMESServiceHttpGet" binding="tns:WFMESServiceHttpGet">
      <http:address location="http://10.40.30.73/WFMES/WFMESService.asmx" />
    </wsdl:port>
    <wsdl:port name="WFMESServiceHttpPost" binding="tns:WFMESServiceHttpPost">
      <http:address location="http://10.40.30.73/WFMES/WFMESService.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>